function Entourage_Engine() {
	cookie = Entourage_Engine.prototype.readCookie('FontSize');
};

Entourage_Engine.prototype = {
	initialize : function() {
		if (window.attachEvent) {
			window.attachEvent('onload', Entourage_Engine.prototype.onLoad);
			window.attachEvent('onunload', Entourage_Engine.prototype.onUnload);
		} else {
			window.addEventListener('load', Entourage_Engine.prototype.onLoad, false);
			window.addEventListener('unload', Entourage_Engine.prototype.onUnload, false);
		}	
	},
	onLoad : function() {
		defaultFontSize = 71;
		currentFontSize = defaultFontSize;
		cookie = Entourage_Engine.prototype.readCookie('FontSize');
		currentFontSize = cookie ? cookie : defaultFontSize;
		if (typeof(currentFontSize) == "undefined") currentFontSize = defaultFontSize;
		Entourage.setFontSize(currentFontSize);
		Entourage.showBody();
	},
	onUnload : function() {
		Entourage.createCookie('FontSize', cookie, 30);
	},
	showBody : function() {
		Entourage.getElm('startup').style.display = 'none';
		Entourage.getElm('pagebody').style.display = 'block';
	},
	getElm : function(id) {
		if ((document.getElementById) && (document.getElementById(id))) return document.getElementById(id);
		else if ((document.all) && (document.all(id))) return document.all(id);
		else if ((document.layers) && (document.layers[id])) return document.layers[id];
		else return false;
	},
	setFontSize : function(size) {
		document.body.style.fontSize = size + '%';
		var elements = document.getElementsByTagName('TD');
		for (var i = 0; i < elements.length; i++) elements[i].style.fontSize = size + '%';
	},
	changeFontSize : function(difference) {
		currentFontSize = parseInt(currentFontSize) + parseInt(difference * 5);
		if (currentFontSize > 100) currentFontSize = 100;
		else if (currentFontSize < 60) currentFontSize = 60;
		cookie = currentFontSize;
		Entourage.setFontSize(currentFontSize);		
	},
	resetFontSize : function() {
		currentFontSize = defaultFontSize;
		Entourage.changeFontSize(0);
	}
};

Entourage_Engine.prototype.readCookie = function(name) {
	var nameEQ = name + "=";
	var ca = document.cookie.split(';');
	for (var i = 0; i < ca.length; i++) {
		var c = ca[i];
		while (c.charAt(0) == ' ') c = c.substring(1,c.length);
		if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
	}
	return null;	
};

Entourage_Engine.prototype.createCookie = function(name,value,days) {
	if (days) { 
		var date = new Date();
		date.setTime(date.getTime()+(days*24*60*60*1000));
		var expires = "; expires="+date.toGMTString();
	} else {
		expires = "";
	}
	document.cookie = name + "=" + value + expires + "; path=/";
};

var defaultFontSize = 71;
var currentFontSize = defaultFontSize;
var cookie = '';
var Entourage = new Entourage_Engine;
Entourage.initialize();